Subject: bug#63920: Allow for easily rewriting Emacs packages to use emacs-next

From: Simon Tournier <[email-masked]>
Date: Wed, 04 Oct 2023 11:14:07 +0200

Hi,

On Tue, 03 Oct 2023 at 22:20, Maxim Cournoyer <[email-masked]> wrote:

> I agree adding multiple outputs would make things complicated and messy,
> and should thus not be the approach pursued.  I think this should be
> feasible via package rewriting procedures, like we had in the past for
> Python 2 with package-for-python2 or similar, which users can apply to
> their Emacs package collection in a manifest file.

For the record, it remembers these related or similar discussions:

    https://issues.guix.gnu.org/issue/41732
    https://issues.guix.gnu.org/issue/64586

Cheers,
simon